import { InvalidationPolicyEvent, InvalidationPolicyManagerConfig, PolicyActionMeta } from "./types";
/**
 * Executes invalidation policies for types when they are modified, evicted or read from the cache.
 */
export default class InvalidationPolicyManager {
    private config;
    private mutedCacheOperations;
    private policyActivation;
    constructor(config: InvalidationPolicyManagerConfig);
    private activatePolicies;
    private getPolicy;
    private getTypePolicyForEvent;
    private runPolicyEvent;
    runWritePolicy(typeName: string, policyMeta: PolicyActionMeta): void;
    runEvictPolicy(typeName: string, policyMeta: PolicyActionMeta): void;
    runReadPolicy(typename: string, dataId: string, fieldName?: string, storeFieldName?: string): boolean;
    isPolicyActive(policyEvent: InvalidationPolicyEvent): boolean;
}
//# sourceMappingURL=InvalidationPolicyManager.d.ts.map